Installation - Bug lors du apt-get (dpkg: erreur de traitement de l'archive)

Bonjour,
En essayant d’installer avec la commande apt-get et en utilisant la commande apt --fix broken install j’ai un bug dpkg: erreur de traitement de l’archive
Ci dessous le résultat des commandes :

root@debian-server:~# apt --fix-broken install
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Lecture des informations d'état... Fait
Correction des dépendances... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  python3-acme python3-certbot python3-configargparse python3-configobj python3-distro python3-icu python3-josepy
  python3-parsedatetime python3-requests-toolbelt python3-rfc3339 python3-tz python3-zope.component python3-zope.event
  python3-zope.hookable python3-zope.interface
Veuillez utiliser « apt autoremove » pour les supprimer.
Les paquets supplémentaires suivants seront installés :
  nginx-common
Paquets suggérés :
  fcgiwrap nginx-doc
Les NOUVEAUX paquets suivants seront installés :
  nginx-common
0 mis à jour, 1 nouvellement installés, 0 à enlever et 1 non mis à jour.
10 partiellement installés ou enlevés.
Il est nécessaire de prendre 0 o/125 ko dans les archives.
Après cette opération, 341 ko d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] o
Préconfiguration des paquets...
(Lecture de la base de données... 62691 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../nginx-common_1.18.0-6.1_all.deb ...
Dépaquetage de nginx-common (1.18.0-6.1) ...
dpkg: erreur de traitement de l'archive /var/cache/apt/archives/nginx-common_1.18.0-6.1_all.deb (--unpack) :
 tentative de remplacement de « /lib », qui appartient aussi au paquet cpp 4:10.2.1-1
Des erreurs ont été rencontrées pendant l'exécution :
 /var/cache/apt/archives/nginx-common_1.18.0-6.1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Ce qui est problématique vu que je peux plus rien installer
Si quelqu’un sais comment fix ce bug je lui serrais très reconnaissant :slight_smile:

Personne à une petite idée du problème ?

Hello,

avant toute chose, je te conseille de sauvegarder tout ce qu’il y a d’important sur cette machine. Il s’agit d’un serveur web ? (sauvegarde aussi le dossier /etc/nginx dans ce cas).

Ensuite tu peux tenter sudo dpkg -i --force-overwrite /var/cache/apt/archives/nginx-common_1.18.0-6.1_all.deb

Par curiosité, tu utilises quelle version de Debian ? Et uniquement les dépôts officiels ?